/*
	Figure 5.8
	Rotterdam data. Compare 10 random pairs of knot positions for
	df(3) models.
*/
version 11.0
set scheme sj
set more off
clear
use rott2

set seed 1
forvalues j = 1 / 10 {
	local k1 = int(100 * runiform() + 0.5)
	local k2 = int(100 * runiform() + 0.5)
	if (`k1' <= 0) local k1 1
	if (`k2' <= 0) local k2 1
	if (`k1' > 99) local k1 99
	if (`k2' > 99) local k2 99
	if (`k1' >`k2') {
		local temp `k2'
		local k2 `k1'
		local k1 `temp'
	}
	qui centile _t if _d==1, cent(`k1' `k2')
	qui stpm2, knots(`k1' `k2') scale(hazard) knscale(centile)
	cap drop s`j'
	predict s`j', surv
	di `j', `k1', `k2'
}
preserve
quietly bysort _t: drop if _n>1
line s1 s2 s3 s4 s5 s6 s7 s8 s9 s10 _t, sort lwidth(medthick ..) lcolor(gs6 ..) ///
 xtitle("Years from surgery") ytitle("Survival function") leg(off) ///
 yla(, angle(horizontal) format(%4.1f))
restore
set more on
