/*
	Figure 5.7
	Rotterdam data. Compare baseline survival functions for three
	models, with covariates dummy variables for positive nodes.
*/
version 11.0
set scheme sj
set more off
clear
use rott2

gen byte n1 = (nodes >0 ) & (nodes <= 3)
gen byte n2 = (nodes >3 ) & (nodes <= 9)
gen byte n3 = (nodes >9 )
forval j=1/4{
	qui stpm2 n1 n2 n3, df(`j') scale(odds) nolog
	predict s`j', surv zero
	predict h`j', haz zero
}

quietly bysort _t: drop if _n > 1
line s1 s2 s3 s4 _t, sort lpattern(l - _ _.) ytitle("Survival function") ///
 xtitle("Years from surgery") ylabel(, angle(h) format(%4.1f)) ///
 leg(label(1 "PO(1) (log-logistic)") label(2 "PO(2)") ///
 label(3 "PO(3)") label(4 "PO(4)") ring(0) pos(1) col(1))
set more on
