/*
	Figure 5.6
	Rotterdam data. Baseline hazard and baseline survival for
	Weibull and PH models with 2, 3 and 6 d.f. for "recent".
*/
version 11.0
set scheme sj
set more off
clear
use rott2

forval j = 1 / 4 {
	if (`j' < 4) local df `j'
	else local df 6
	quietly stpm2 recent, df(`df') scale(hazard)
	predict h`j', hazard zero
	predict s`j', surv zero
}
line h1 h2 h3 h4 _t, sort lpattern(l - _ _.) lwidth(medthick ..) ///
 legend(label(1 "Weibull") label(2 "PH(2) model") label(3 "PH(3) model") ///
 label(4 "PH(6) model") ring(0) pos(1) col(1)) ///
 ytitle("Hazard function") xtitle("") ///
 yla(, angle(h) format(%4.1f)) name(g1, replace)
line s1 s2 s3 s4 _t, sort lpattern(l - _ _.) lwidth(medthick ..) ///
 legend(label(1 "Weibull") label(2 "PH(2) model") label(3 "PH(3) model") ///
 label(4 "PH(6) model") ring(0) pos(1) col(1)) ///
 ytitle("Survival function") xtitle("") ///
 yla(, angle(h) format(%4.1f)) name(g2, replace)
graph combine g1 g2, b2title("Years from surgery")
set more on
