/*
	Table 5.1
	Get AIC and parameter estimates for Royston-Parmar scale(hazard)
	models with different d.f.
*/
version 11.0
set scheme sj
set more off
clear
use rott2

forvalues j=1/6 {
	quietly stpm2 recent, scale(hazard) df(`j')
	quietly estat ic
	matrix r = r(S)	// results matrix from estat; AIC is in first row, 5th column
	di "`j', coef = " _b[recent] " , SE = " _se[recent] " AIC = " r[1,5] ///
	 " BIC = " r[1,6]
}
