/*
	Chapter 6
	Table 6.2
	Explained variation.
*/
version 11.0
set scheme sj
set more off
clear
use rott2

xi: str2d stpm2 enodes_1 i.size grade pr_1 chemo hormon age, scale(odds) df(2)

local model enodes_1 i.size grade pr_1 chemo hormon age

di "Complete model"
xi: str2d stpm2 `model', scale(o) df(2)

// Remove each variable from the model and assess D
foreach var in `model' {
	local model2 : list model - var
	qui xi: str2d stpm2 `model2', scale(o) df(2)
	di "Model = `model2'" _col(54) "Remove `var' : D = " _col(21) %6.3f r(D) " R^2 = " %6.3f r(r2)
}

// Remove variables successively from the model and assess D
local model2 `model'
foreach var in `model' {
	local model3 : list model2 - var
	if "`model3'" != "" {
		qui xi: str2d stpm2 `model3', scale(o) df(2)
		di "Model = `model3'" _col(54) "Remove `var' : D = " _col(21) %6.3f r(D) " R^2 = " %6.3f r(r2)
		local model2 `model3'
	}
}
