/*
	Chapter 8
	Poisson piecewise relative survival model
*/
version 11.0
set more off
clear

/* Use strs to generate life tables */
use ew_breast_ch8

stset survtime, failure(dead==1) exit(time 5) id(ident)
strs using popmort_uk, ///
	breaks(0(1)5) noshow ///
	diagage(agediag) diagyear(yeardiag) ///
	attage(age) attyear(year) ///
	mergeby(sex  region  dep  year  age) ///
	survprob(survprob) ///
	by(agegroup) ///
	notables savgroup(breast_grouped, replace)

/* Proportional excess hazards model */	
use breast_grouped, clear
list agegroup end n_prime d d_star y , noobs
glm d ibn.end i.agegroup, family(poisson) link(rs d_star) lnoffset(y) ///
	eform nocons nolog baselevels		

/* Time dependenet effects for age group */	
glm d ibn.end ibn.end#ib1.agegroup, family(poisson) link(rs d_star) ///
	lnoffset(y) eform nocons nolog noheader allbaselevels			
set more on
