/*
	Chapter 9
	Figure 9.7
	CD4 data. Basic plots and smoothers.
*/
version 11.0
set scheme sj
set more off
clear
use cd4

// Perform running line smooth of CD4 on age
running cd4 age, gen(cd4s) nograph
twoway (scatter cd4 age, ms(oh) mcolor(gs10)) (line cd4s age, sort clp(l) lwidth(thick)), leg(off) ///
 xtitle("Age, days") ytitle("CD4 count") yla(, angle(h)) name(g1, replace) ///
 title("(a) Original data", pos(11)) nodraw

// Perform running line smooth of log CD4 on transformed age
running y x, gen(ys) nograph
twoway (scatter y x, ms(oh) mcolor(gs10)) (line ys x, sort clp(l) lwidth(thick)), leg(off) ///
 xtitle("Transformed age") ytitle("Log CD4 count") yla(, angle(h)) name(g2, replace) ///
 title("(b) Both variables transformed", pos(11)) nodraw
graph combine g1 g2
set more on
