/*
	Chapter 9
	Figure 9.1
	Kidney cancer data. Plot number needed to treat against time.
*/
version 11.0
set scheme sj
set more off
clear
use kidney_ca

// Truncate follow-up at 4 years
stset survtime, failure(cens) scale(365.24) exit(time 4 * 365.24)
quietly stpm2 trt, df(2) scale(odds)
predict sd, sdiff(trt 1) ci
foreach num in 100 40 20 10 8 5 {
	local tmp = 1 / `num'
	local ylab `ylab' `tmp'
	local ylab `ylab' "`num'"
}
twoway (rarea sd_lci sd_uci _t, sort pstyle(ci) yaxis(1 2)) ///
 (line sd _t, sort lpattern(solid) clwidth(thick) yaxis(1 2)) ///
 , ylab(,angle(horizontal) format(%3.2f)) ///
 ylab(`ylab' 0 "{&infinity}", axis(2) angle(horizontal)) ///
 ytitle("Risk Difference", axis(1)) ///
 ytitle("NNT",axis(2)) xtitle("Years from randomization") ///
 legend(off) 
set more on
    